/** @type {import('./$types').PageLoad} */

export function load({ url }) {
    return {
        params: {
            uuid: url.searchParams.get('uuid'),
            g_uuid: url.searchParams.get('g_uuid'),
            email: url.searchParams.get('email'),
            full_name: url.searchParams.get('full_name'),
            moderator: url.searchParams.get('moderator'),
            room: url.searchParams.get('room'),
            domain: url.searchParams.get('domain'),
            incoming_msg_sound: url.searchParams.get('incoming_msg_sound'),
            participant_joined_sound: url.searchParams.get(
                'participant_joined_sound'
            ),
            participant_left_sound: url.searchParams.get(
                'participant_left_sound'
            ),
            reaction_sound: url.searchParams.get('reaction_sound'),
            raise_hand_sound: url.searchParams.get('raise_hand_sound'),
            start_muted: url.searchParams.get('start_muted'),
            start_hidden: url.searchParams.get('start_hidden'),
            reactions_muted: url.searchParams.get('reactions_muted')
        }
    };
}
